import { CzmCanvasPoi, CzmPoisContext } from 'xbsj-xe2/dist-node/xe2-base-cesium';
import { GeoCanvasPoi } from 'xbsj-xe2/dist-node/xe2-base-objects';
import { Destroyable, Listener } from 'xbsj-xe2/dist-node/xe2-base-utils';
import { CanvasPoi, CanvasPrimitivesContext } from 'xbsj-xe2/dist-node/xe2-utils';
import * as Cesium from 'cesium';
import { CzmObject, CzmViewer } from '../../../core';
import { CzmViewDistanceRangeControl } from '../../utils2';
declare class CanvasPoiCreating extends Destroyable {
    czmCanvasPoi: CzmCanvasPoi<CanvasPoi>;
    constructor(sceneObject: GeoCanvasPoi, canvasPoiClass: new (canvasPrimitivesContext: CanvasPrimitivesContext) => CanvasPoi, poiContext: CzmPoisContext, viewer: Cesium.Viewer, createFunc: (canvasPoi: CanvasPoi, visibleAlphaChanged?: Listener<[number, number]>) => Destroyable, czmGeoCanvasPoi: CzmGeoCanvasPoi);
}
export declare class CzmGeoCanvasPoi extends CzmObject<GeoCanvasPoi> {
    static readonly type: void;
    private _czmViewVisibleDistanceRangeControl;
    get czmViewerVisibleDistanceRangeControl(): CzmViewDistanceRangeControl;
    get visibleAlpha(): number;
    get visibleAlphaChanged(): Listener<[number, number]>;
    private _viewDistanceDebugBinding;
    private _canvasObj?;
    get canvasObj(): CanvasPoiCreating | undefined;
    constructor(sceneObject: GeoCanvasPoi, czmViewer: CzmViewer);
}
export {};
